DEPRECATED: This field is deprecated and will be removed in a future version. Use current_hardware instead.
{"docsConfig":{"theme":"aspen","$schema":"https://mintlify.com/docs.json","name":"Dispersed","colors":{"primary":"#00af80","light":"#00ffbf","dark":"#00af80"},"logo":{"light":"https://mintcdn.com/otoyinc/g5aNJaX2B9DjakwX/images/img/logo-light.svg?fit=max\u0026auto=format\u0026n=g5aNJaX2B9DjakwX\u0026q=85\u0026s=39a6abcaf6a9a982d350d0ecb9e74ce5","dark":"https://mintcdn.com/otoyinc/g5aNJaX2B9DjakwX/images/img/logo-dark.svg?fit=max\u0026auto=format\u0026n=g5aNJaX2B9DjakwX\u0026q=85\u0026s=52d6775955b31e5a7f8bc9d4900e96cb"},"favicon":"https://mintcdn.com/otoyinc/g5aNJaX2B9DjakwX/images/img/favicon-dark.svg?fit=max\u0026auto=format\u0026n=g5aNJaX2B9DjakwX\u0026q=85\u0026s=eb44c1e24acb1e3bf9bc836be7dfb3a0","api":{"openapi":"https://api.dispersed.com/openapi.json"},"navbar":{"primary":{"type":"button","label":"Console","href":"https://console.dispersed.com"}},"footer":{"links":[{"header":"Legal","items":[{"label":"Terms \u0026 Conditions","href":"https://home.otoy.com/terms-and-conditions"},{"label":"Privacy Policy","href":"https://home.otoy.com/privacy-policy"}]}]},"seo":{"indexing":"all"},"contextual":{"options":["copy","view","mcp","cursor","vscode","claude","assistant","chatgpt"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"otoyinc","hasAudioNarration":false,"actualSubdomain":"otoyinc","customDomains":[],"gitSource":{"type":"github","owner":"dispersednetwork","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af3c5edc972b51d4e48b148","clientVersion":"0.0.4124","searchFilterCounts":[{"language":"default","tag":"API Reference","count":51},{"language":"default","tag":"Documentation","count":28},{"language":"default","tag":"Node Operators","count":12},{"language":"default","tag":"Job Recipes","count":8},{"language":"default","tag":"Getting started","count":7},{"language":"default","tag":"Service Consumers","count":7},{"language":"default","tag":"Jobs","count":7},{"language":"default","tag":"Job Runs","count":6},{"language":"default","tag":"Rewards","count":5},{"language":"default","tag":"Compute Ledger","count":5}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/nodes/node-details","slug":"/api-reference/nodes/node-details","pageMetadata":{"title":"Node Details","description":null,"deprecated":null,"version":null,"openapi":"https://api.dispersed.com/openapi.json get /v1/nodes/{node_uuid}","href":"/api-reference/nodes/node-details","autogeneratedByOpenApi":true},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Node Details","description":null,"deprecated":null,"version":null,"openapi":"https://api.dispersed.com/openapi.json get /v1/nodes/{node_uuid}","href":"/api-reference/nodes/node-details","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Node Details","tags":["Nodes"],"parameters":["56527ab2-3976-481b-a787-62e7d404dea1"],"responses":{"200":"f2d544e1-2313-4019-84dc-d9ced64a5688","400":"a0ddc992-5fab-412e-9880-2addc09b88c6","401":"4320748c-d1ca-4c1d-adb2-174fd26c75ce","403":"ed882047-ae78-4c1e-8394-cec637f705f0","404":"2a7c6f9b-8c14-455d-b295-1875a28e7e46"},"method":"get","type":"path","servers":["b4363356-9ffc-46a2-a304-ca2ee75f6c00"],"security":[],"path":"/v1/nodes/{node_uuid}","baseUrlOptions":["https://api.dispersed.com"],"title":"Node Details","description":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"56527ab2-3976-481b-a787-62e7d404dea1":{"schema":{"type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"name":"node_uuid","in":"path"}},"responses":{"f2d544e1-2313-4019-84dc-d9ced64a5688":{"description":"Node details","content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"status":{"type":"string","enum":["AVAILABLE","ASSIGNED","PREPARING","WORKING","STOPPING","OFFLINE","DELETED","RESOURCE_BUSY","OUTDATED_CLIENT"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"object":{"type":"string","enum":["node"],"isRequired":true,"uniqueKey":"object","typeLabel":"enum\u003cstring>"},"created_at":{"oneOf":[{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"created_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","isRequired":true,"uniqueKey":"created_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"created_at","typeLabel":"string\u003cdate-time> | null"},"updated_at":{"oneOf":[{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"updated_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","isRequired":true,"uniqueKey":"updated_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"updated_at","typeLabel":"string\u003cdate-time> | null"},"_id":{"oneOf":[{"type":"string","uniqueKey":"_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"_id","typeLabel":"string | null"},"uuid":{"oneOf":[{"type":"string","uniqueKey":"uuid.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"uuid","typeLabel":"string | null"},"last_seen_at":{"oneOf":[{"type":"string","format":"date-time","uniqueKey":"last_seen_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","uniqueKey":"last_seen_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"last_seen_at","typeLabel":"string\u003cdate-time> | null"},"latest_hardware_event":{"oneOf":[{"type":"object","properties":{"timestamp_ms":{"type":"integer","isRequired":true,"uniqueKey":"latest_hardware_event.oneOf.0.timestamp_ms","typeLabel":"integer"},"object":{"type":"string","enum":["node_hardware_event"],"isRequired":true,"uniqueKey":"latest_hardware_event.oneOf.0.object","typeLabel":"enum\u003cstring>"},"created_at":{"oneOf":[{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"latest_hardware_event.oneOf.0.created_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","isRequired":true,"uniqueKey":"latest_hardware_event.oneOf.0.created_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"latest_hardware_event.oneOf.0.created_at","typeLabel":"string\u003cdate-time> | null"},"updated_at":{"oneOf":[{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"latest_hardware_event.oneOf.0.updated_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","isRequired":true,"uniqueKey":"latest_hardware_event.oneOf.0.updated_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"latest_hardware_event.oneOf.0.updated_at","typeLabel":"string\u003cdate-time> | null"},"uuid":{"oneOf":[{"type":"string","uniqueKey":"latest_hardware_event.oneOf.0.uuid.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"latest_hardware_event.oneOf.0.uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"latest_hardware_event.oneOf.0.uuid","typeLabel":"string | null"},"metadata":{"type":"object","properties":{"cpu":{"type":"object","properties":{"average":{"type":"number","uniqueKey":"latest_hardware_event.oneOf.0.metadata.cpu.average","typeLabel":"number"},"cores":{"type":"array","items":{"type":"number","uniqueKey":"latest_hardware_event.oneOf.0.metadata.cpu.cores.items.[INDEX]","typeLabel":"number"},"uniqueKey":"latest_hardware_event.oneOf.0.metadata.cpu.cores","typeLabel":"number[]"}},"additionalProperties":{"oneOf":[{}],"uniqueKey":"latest_hardware_event.oneOf.0.metadata.cpu.additionalProperties","typeLabel":"any"},"uniqueKey":"latest_hardware_event.oneOf.0.metadata.cpu","typeLabel":"object"},"gpu":{"type":"object","properties":{"gpus":{"type":"array","items":{"type":"object","properties":{"load":{"type":"number","uniqueKey":"latest_hardware_event.oneOf.0.metadata.gpu.gpus.items.[INDEX].load","typeLabel":"number"},"name":{"type":"string","uniqueKey":"latest_hardware_event.oneOf.0.metadata.gpu.gpus.items.[INDEX].name","typeLabel":"string"},"vram":{"type":"object","properties":{"free":{"oneOf":[{"type":"number","uniqueKey":"latest_hardware_event.oneOf.0.metadata.gpu.gpus.items.[INDEX].vram.free.oneOf.0","typeLabel":"number"},{"type":"null","uniqueKey":"latest_hardware_event.oneOf.0.metadata.gpu.gpus.items.[INDEX].vram.free.oneOf.1","typeLabel":"null"}],"uniqueKey":"latest_hardware_event.oneOf.0.metadata.gpu.gpus.items.[INDEX].vram.free","typeLabel":"number | null"},"total":{"oneOf":[{"type":"number","uniqueKey":"latest_hardware_event.oneOf.0.metadata.gpu.gpus.items.[INDEX].vram.total.oneOf.0","typeLabel":"number"},{"type":"null","uniqueKey":"latest_hardware_event.oneOf.0.metadata.gpu.gpus.items.[INDEX].vram.total.oneOf.1","typeLabel":"null"}],"uniqueKey":"latest_hardware_event.oneOf.0.metadata.gpu.gpus.items.[INDEX].vram.total","typeLabel":"number | null"}},"uniqueKey":"latest_hardware_event.oneOf.0.metadata.gpu.gpus.items.[INDEX].vram","typeLabel":"object"}},"uniqueKey":"latest_hardware_event.oneOf.0.metadata.gpu.gpus.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"latest_hardware_event.oneOf.0.metadata.gpu.gpus","typeLabel":"object[]"},"average":{"type":"number","uniqueKey":"latest_hardware_event.oneOf.0.metadata.gpu.average","typeLabel":"number"}},"required":["gpus"],"additionalProperties":{"oneOf":[{}],"uniqueKey":"latest_hardware_event.oneOf.0.metadata.gpu.additionalProperties","typeLabel":"any"},"uniqueKey":"latest_hardware_event.oneOf.0.metadata.gpu","typeLabel":"object"},"ram":{"type":"object","properties":{"free":{"oneOf":[{"type":"number","uniqueKey":"latest_hardware_event.oneOf.0.metadata.ram.free.oneOf.0","typeLabel":"number"},{"type":"null","uniqueKey":"latest_hardware_event.oneOf.0.metadata.ram.free.oneOf.1","typeLabel":"null"}],"uniqueKey":"latest_hardware_event.oneOf.0.metadata.ram.free","typeLabel":"number | null"},"total":{"oneOf":[{"type":"number","uniqueKey":"latest_hardware_event.oneOf.0.metadata.ram.total.oneOf.0","typeLabel":"number"},{"type":"null","uniqueKey":"latest_hardware_event.oneOf.0.metadata.ram.total.oneOf.1","typeLabel":"null"}],"uniqueKey":"latest_hardware_event.oneOf.0.metadata.ram.total","typeLabel":"number | null"}},"additionalProperties":{"oneOf":[{}],"uniqueKey":"latest_hardware_event.oneOf.0.metadata.ram.additionalProperties","typeLabel":"any"},"uniqueKey":"latest_hardware_event.oneOf.0.metadata.ram","typeLabel":"object"},"storage":{"oneOf":[{"type":"object","properties":{"hard_drives":{"type":"array","items":{"type":"object","properties":{"free_capacity":{"oneOf":[{"type":"number","uniqueKey":"latest_hardware_event.oneOf.0.metadata.storage.oneOf.0.hard_drives.items.[INDEX].free_capacity.oneOf.0","typeLabel":"number"},{"type":"null","uniqueKey":"latest_hardware_event.oneOf.0.metadata.storage.oneOf.0.hard_drives.items.[INDEX].free_capacity.oneOf.1","typeLabel":"null"}],"uniqueKey":"latest_hardware_event.oneOf.0.metadata.storage.oneOf.0.hard_drives.items.[INDEX].free_capacity","typeLabel":"number | null"},"model":{"type":"string","uniqueKey":"latest_hardware_event.oneOf.0.metadata.storage.oneOf.0.hard_drives.items.[INDEX].model","typeLabel":"string"},"name":{"type":"string","uniqueKey":"latest_hardware_event.oneOf.0.metadata.storage.oneOf.0.hard_drives.items.[INDEX].name","typeLabel":"string"},"total_capacity":{"oneOf":[{"type":"number","uniqueKey":"latest_hardware_event.oneOf.0.metadata.storage.oneOf.0.hard_drives.items.[INDEX].total_capacity.oneOf.0","typeLabel":"number"},{"type":"null","uniqueKey":"latest_hardware_event.oneOf.0.metadata.storage.oneOf.0.hard_drives.items.[INDEX].total_capacity.oneOf.1","typeLabel":"null"}],"uniqueKey":"latest_hardware_event.oneOf.0.metadata.storage.oneOf.0.hard_drives.items.[INDEX].total_capacity","typeLabel":"number | null"}},"uniqueKey":"latest_hardware_event.oneOf.0.metadata.storage.oneOf.0.hard_drives.items.[INDEX]","typeLabel":"object"},"uniqueKey":"latest_hardware_event.oneOf.0.metadata.storage.oneOf.0.hard_drives","typeLabel":"object[]"}},"additionalProperties":{"oneOf":[{}],"uniqueKey":"latest_hardware_event.oneOf.0.metadata.storage.oneOf.0.additionalProperties","typeLabel":"any"},"uniqueKey":"latest_hardware_event.oneOf.0.metadata.storage.oneOf.0","typeLabel":"object"},{"type":"object","properties":{"capacity_bytes_free":{"type":"number","uniqueKey":"latest_hardware_event.oneOf.0.metadata.storage.oneOf.1.capacity_bytes_free","typeLabel":"number"},"capacity_bytes_total":{"type":"number","uniqueKey":"latest_hardware_event.oneOf.0.metadata.storage.oneOf.1.capacity_bytes_total","typeLabel":"number"},"device_id":{"type":"string","uniqueKey":"latest_hardware_event.oneOf.0.metadata.storage.oneOf.1.device_id","typeLabel":"string"},"quota":{"type":"number","uniqueKey":"latest_hardware_event.oneOf.0.metadata.storage.oneOf.1.quota","typeLabel":"number"},"quota_used":{"type":"number","uniqueKey":"latest_hardware_event.oneOf.0.metadata.storage.oneOf.1.quota_used","typeLabel":"number"}},"additionalProperties":{"oneOf":[{}],"uniqueKey":"latest_hardware_event.oneOf.0.metadata.storage.oneOf.1.additionalProperties","typeLabel":"any"},"uniqueKey":"latest_hardware_event.oneOf.0.metadata.storage.oneOf.1","typeLabel":"object"}],"uniqueKey":"latest_hardware_event.oneOf.0.metadata.storage","typeLabel":"object"}},"additionalProperties":{"oneOf":[{}],"uniqueKey":"latest_hardware_event.oneOf.0.metadata.additionalProperties","typeLabel":"any"},"uniqueKey":"latest_hardware_event.oneOf.0.metadata","typeLabel":"object"},"node":{"oneOf":[{"type":"string","uniqueKey":"latest_hardware_event.oneOf.0.node.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"latest_hardware_event.oneOf.0.node.oneOf.1","typeLabel":"null"}],"uniqueKey":"latest_hardware_event.oneOf.0.node","typeLabel":"string | null"},"node_hardware":{"oneOf":[{"type":"string","uniqueKey":"latest_hardware_event.oneOf.0.node_hardware.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"latest_hardware_event.oneOf.0.node_hardware.oneOf.1","typeLabel":"null"}],"uniqueKey":"latest_hardware_event.oneOf.0.node_hardware","typeLabel":"string | null"},"account":{"oneOf":[{"type":"string","uniqueKey":"latest_hardware_event.oneOf.0.account.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"latest_hardware_event.oneOf.0.account.oneOf.1","typeLabel":"null"}],"uniqueKey":"latest_hardware_event.oneOf.0.account","typeLabel":"string | null"}},"required":["timestamp_ms","object","created_at","updated_at"],"uniqueKey":"latest_hardware_event.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"uuid":{"oneOf":[{"type":"string"},{"type":"null"}]},"timestamp_ms":{"type":"integer"},"metadata":{"type":"object","properties":{"cpu":{"type":"object","properties":{"average":{"type":"number"},"cores":{"type":"array","items":{"type":"number"}}},"additionalProperties":{"oneOf":[{}]}},"gpu":{"type":"object","properties":{"average":{"type":"number"},"gpus":{"type":"array","items":{"type":"object","properties":{"load":{"type":"number"},"name":{"type":"string"},"vram":{"type":"object","properties":{"free":{"oneOf":[{"type":"number"},{"type":"null"}]},"total":{"oneOf":[{"type":"number"},{"type":"null"}]}}}}}}},"required":["gpus"],"additionalProperties":{"oneOf":[{}]}},"ram":{"type":"object","properties":{"free":{"oneOf":[{"type":"number"},{"type":"null"}]},"total":{"oneOf":[{"type":"number"},{"type":"null"}]}},"additionalProperties":{"oneOf":[{}]}},"storage":{"oneOf":[{"type":"object","properties":{"hard_drives":{"type":"array","items":{"type":"object","properties":{"free_capacity":{"oneOf":[{"type":"number"},{"type":"null"}]},"model":{"type":"string"},"name":{"type":"string"},"total_capacity":{"oneOf":[{"type":"number"},{"type":"null"}]}}}}},"additionalProperties":{"oneOf":[{}]}},{"type":"object","properties":{"capacity_bytes_free":{"type":"number"},"capacity_bytes_total":{"type":"number"},"device_id":{"type":"string"},"quota":{"type":"number"},"quota_used":{"type":"number"}},"additionalProperties":{"oneOf":[{}]}}]}},"additionalProperties":{"oneOf":[{}]}},"node":{"oneOf":[{"type":"string"},{"type":"null"}]},"node_hardware":{"oneOf":[{"type":"string"},{"type":"null"}]},"account":{"oneOf":[{"type":"string"},{"type":"null"}]},"object":{"type":"string","enum":["node_hardware_event"]},"created_at":{"oneOf":[{"type":"string","format":"date-time"},{"type":"null","format":"date-time"}]},"updated_at":{"oneOf":[{"type":"string","format":"date-time"},{"type":"null","format":"date-time"}]}},"required":["timestamp_ms","object","created_at","updated_at"],"uniqueKey":"latest_hardware_event.oneOf.1","typeLabel":"null"}],"uniqueKey":"latest_hardware_event","typeLabel":"object | null"},"current_hardware":{"oneOf":[{"type":"object","properties":{"memory":{"type":"object","properties":{"ram_bytes_total":{"oneOf":[{"type":"number","isRequired":true,"uniqueKey":"current_hardware.oneOf.0.memory.ram_bytes_total.oneOf.0","typeLabel":"number"},{"type":"null","isRequired":true,"uniqueKey":"current_hardware.oneOf.0.memory.ram_bytes_total.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"current_hardware.oneOf.0.memory.ram_bytes_total","typeLabel":"number | null"},"base_clock_mhz":{"oneOf":[{"type":"number","uniqueKey":"current_hardware.oneOf.0.memory.base_clock_mhz.oneOf.0","typeLabel":"number"},{"type":"null","uniqueKey":"current_hardware.oneOf.0.memory.base_clock_mhz.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.memory.base_clock_mhz","typeLabel":"number | null"},"device_id":{"oneOf":[{"type":"string","description":"Unique identifier for the memory, if available. For example: `dmidecode`","uniqueKey":"current_hardware.oneOf.0.memory.device_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier for the memory, if available. For example: `dmidecode`","uniqueKey":"current_hardware.oneOf.0.memory.device_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.memory.device_id","typeLabel":"string | null"}},"required":["ram_bytes_total"],"description":"Memory details of the machine, including RAM and base clock.","isRequired":true,"uniqueKey":"current_hardware.oneOf.0.memory","typeLabel":"object"},"storage":{"type":"object","properties":{"capacity_bytes_free":{"oneOf":[{"type":"number","isRequired":true,"uniqueKey":"current_hardware.oneOf.0.storage.capacity_bytes_free.oneOf.0","typeLabel":"number"},{"type":"null","isRequired":true,"uniqueKey":"current_hardware.oneOf.0.storage.capacity_bytes_free.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"current_hardware.oneOf.0.storage.capacity_bytes_free","typeLabel":"number | null"},"capacity_bytes_total":{"oneOf":[{"type":"number","isRequired":true,"uniqueKey":"current_hardware.oneOf.0.storage.capacity_bytes_total.oneOf.0","typeLabel":"number"},{"type":"null","isRequired":true,"uniqueKey":"current_hardware.oneOf.0.storage.capacity_bytes_total.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"current_hardware.oneOf.0.storage.capacity_bytes_total","typeLabel":"number | null"},"device_id":{"oneOf":[{"type":"string","description":"Unique identifier for storage block device, if available. For example: `lsblk -f`","uniqueKey":"current_hardware.oneOf.0.storage.device_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier for storage block device, if available. For example: `lsblk -f`","uniqueKey":"current_hardware.oneOf.0.storage.device_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.storage.device_id","typeLabel":"string | null"}},"required":["capacity_bytes_free","capacity_bytes_total"],"description":"Storage details of the machine, including total and free space.","isRequired":true,"uniqueKey":"current_hardware.oneOf.0.storage","typeLabel":"object"},"object":{"type":"string","enum":["node_hardware"],"isRequired":true,"uniqueKey":"current_hardware.oneOf.0.object","typeLabel":"enum\u003cstring>"},"created_at":{"oneOf":[{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"current_hardware.oneOf.0.created_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","isRequired":true,"uniqueKey":"current_hardware.oneOf.0.created_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"current_hardware.oneOf.0.created_at","typeLabel":"string\u003cdate-time> | null"},"updated_at":{"oneOf":[{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"current_hardware.oneOf.0.updated_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","isRequired":true,"uniqueKey":"current_hardware.oneOf.0.updated_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"current_hardware.oneOf.0.updated_at","typeLabel":"string\u003cdate-time> | null"},"uuid":{"oneOf":[{"type":"string","uniqueKey":"current_hardware.oneOf.0.uuid.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"current_hardware.oneOf.0.uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.uuid","typeLabel":"string | null"},"node":{"oneOf":[{"type":"string","uniqueKey":"current_hardware.oneOf.0.node.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"current_hardware.oneOf.0.node.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.node","typeLabel":"string | null"},"node_uuid":{"oneOf":[{"type":"string","uniqueKey":"current_hardware.oneOf.0.node_uuid.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"current_hardware.oneOf.0.node_uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.node_uuid","typeLabel":"string | null"},"cpus":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"current_hardware.oneOf.0.cpus.items.[INDEX].name","typeLabel":"string"},"num_cores":{"type":"number","isRequired":true,"uniqueKey":"current_hardware.oneOf.0.cpus.items.[INDEX].num_cores","typeLabel":"number"},"architecture":{"oneOf":[{"type":"string","uniqueKey":"current_hardware.oneOf.0.cpus.items.[INDEX].architecture.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"current_hardware.oneOf.0.cpus.items.[INDEX].architecture.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.cpus.items.[INDEX].architecture","typeLabel":"string | null"},"base_clock_mhz":{"oneOf":[{"type":"number","uniqueKey":"current_hardware.oneOf.0.cpus.items.[INDEX].base_clock_mhz.oneOf.0","typeLabel":"number"},{"type":"null","uniqueKey":"current_hardware.oneOf.0.cpus.items.[INDEX].base_clock_mhz.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.cpus.items.[INDEX].base_clock_mhz","typeLabel":"number | null"},"chipset":{"oneOf":[{"type":"string","uniqueKey":"current_hardware.oneOf.0.cpus.items.[INDEX].chipset.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"current_hardware.oneOf.0.cpus.items.[INDEX].chipset.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.cpus.items.[INDEX].chipset","typeLabel":"string | null"},"device_id":{"oneOf":[{"type":"string","description":"Unique identifier for the CPU, if available. For example: `/proc/cpuinfo`","uniqueKey":"current_hardware.oneOf.0.cpus.items.[INDEX].device_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier for the CPU, if available. For example: `/proc/cpuinfo`","uniqueKey":"current_hardware.oneOf.0.cpus.items.[INDEX].device_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.cpus.items.[INDEX].device_id","typeLabel":"string | null"},"features":{"type":"array","items":{"type":"string","uniqueKey":"current_hardware.oneOf.0.cpus.items.[INDEX].features.items.[INDEX]","typeLabel":"string"},"default":[],"uniqueKey":"current_hardware.oneOf.0.cpus.items.[INDEX].features","typeLabel":"string[]"},"num_threads_per_core":{"oneOf":[{"type":"number","uniqueKey":"current_hardware.oneOf.0.cpus.items.[INDEX].num_threads_per_core.oneOf.0","typeLabel":"number"},{"type":"null","uniqueKey":"current_hardware.oneOf.0.cpus.items.[INDEX].num_threads_per_core.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.cpus.items.[INDEX].num_threads_per_core","typeLabel":"number | null"}},"required":["name","num_cores"],"uniqueKey":"current_hardware.oneOf.0.cpus.items.[INDEX]","typeLabel":"object"},"default":[],"description":"List of CPUs available on the machine.","uniqueKey":"current_hardware.oneOf.0.cpus","typeLabel":"object[]"},"gpus":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"current_hardware.oneOf.0.gpus.items.[INDEX].name","typeLabel":"string"},"vram_bytes_total":{"oneOf":[{"type":"number","description":"VRAM capacity in bytes. For a registry-linked GPU whose report lies within 90% to 108% of the catalog capacity this is the catalog value (an RTX 4090 is 24 GiB, not the ~23.6 GiB the driver exposes). Otherwise the agent-reported bytes.","isRequired":true,"uniqueKey":"current_hardware.oneOf.0.gpus.items.[INDEX].vram_bytes_total.oneOf.0","typeLabel":"number"},{"type":"null","description":"VRAM capacity in bytes. For a registry-linked GPU whose report lies within 90% to 108% of the catalog capacity this is the catalog value (an RTX 4090 is 24 GiB, not the ~23.6 GiB the driver exposes). Otherwise the agent-reported bytes.","isRequired":true,"uniqueKey":"current_hardware.oneOf.0.gpus.items.[INDEX].vram_bytes_total.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"current_hardware.oneOf.0.gpus.items.[INDEX].vram_bytes_total","typeLabel":"number | null"},"base_clock_mhz":{"oneOf":[{"type":"number","uniqueKey":"current_hardware.oneOf.0.gpus.items.[INDEX].base_clock_mhz.oneOf.0","typeLabel":"number"},{"type":"null","uniqueKey":"current_hardware.oneOf.0.gpus.items.[INDEX].base_clock_mhz.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.gpus.items.[INDEX].base_clock_mhz","typeLabel":"number | null"},"device_id":{"oneOf":[{"type":"string","description":"Unique identifier for the GPU, if available. For example: `nvidia-smi` or `/sys/class/drm/card0*`","uniqueKey":"current_hardware.oneOf.0.gpus.items.[INDEX].device_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier for the GPU, if available. For example: `nvidia-smi` or `/sys/class/drm/card0*`","uniqueKey":"current_hardware.oneOf.0.gpus.items.[INDEX].device_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.gpus.items.[INDEX].device_id","typeLabel":"string | null"},"gpu_registry_uuid":{"oneOf":[{"type":"string","uniqueKey":"current_hardware.oneOf.0.gpus.items.[INDEX].gpu_registry_uuid.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"current_hardware.oneOf.0.gpus.items.[INDEX].gpu_registry_uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.gpus.items.[INDEX].gpu_registry_uuid","typeLabel":"string | null"},"vram_bytes_reported":{"oneOf":[{"type":"number","description":"VRAM bytes as reported by the agent before catalog canonicalization. Null on documents written before this field existed.","uniqueKey":"current_hardware.oneOf.0.gpus.items.[INDEX].vram_bytes_reported.oneOf.0","typeLabel":"number"},{"type":"null","description":"VRAM bytes as reported by the agent before catalog canonicalization. Null on documents written before this field existed.","uniqueKey":"current_hardware.oneOf.0.gpus.items.[INDEX].vram_bytes_reported.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.gpus.items.[INDEX].vram_bytes_reported","typeLabel":"number | null"}},"required":["name","vram_bytes_total"],"uniqueKey":"current_hardware.oneOf.0.gpus.items.[INDEX]","typeLabel":"object"},"default":[],"description":"List of GPUs available on the machine.","uniqueKey":"current_hardware.oneOf.0.gpus","typeLabel":"object[]"},"machine_id":{"oneOf":[{"type":"string","description":"A unique identifier for the machine, if available. For example: `/etc/machine-id` or `/var/lib/dbus/machine-id` on Linux, `MachineGuid` on Windows, `IOPlatformUUID` on macOS.","uniqueKey":"current_hardware.oneOf.0.machine_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"A unique identifier for the machine, if available. For example: `/etc/machine-id` or `/var/lib/dbus/machine-id` on Linux, `MachineGuid` on Windows, `IOPlatformUUID` on macOS.","uniqueKey":"current_hardware.oneOf.0.machine_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.machine_id","typeLabel":"string | null"},"checksum_sha256":{"oneOf":[{"type":"string","uniqueKey":"current_hardware.oneOf.0.checksum_sha256.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"current_hardware.oneOf.0.checksum_sha256.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.checksum_sha256","typeLabel":"string | null"},"_id":{"oneOf":[{"type":"string","uniqueKey":"current_hardware.oneOf.0._id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"current_hardware.oneOf.0._id.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0._id","typeLabel":"string | null"},"operating_system":{"oneOf":[{"type":"object","properties":{"architecture":{"oneOf":[{"type":"string","uniqueKey":"current_hardware.oneOf.0.operating_system.oneOf.0.architecture.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"current_hardware.oneOf.0.operating_system.oneOf.0.architecture.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.operating_system.oneOf.0.architecture","typeLabel":"string | null"},"brand":{"oneOf":[{"type":"string","uniqueKey":"current_hardware.oneOf.0.operating_system.oneOf.0.brand.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"current_hardware.oneOf.0.operating_system.oneOf.0.brand.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.operating_system.oneOf.0.brand","typeLabel":"string | null"},"name":{"oneOf":[{"type":"string","uniqueKey":"current_hardware.oneOf.0.operating_system.oneOf.0.name.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"current_hardware.oneOf.0.operating_system.oneOf.0.name.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.operating_system.oneOf.0.name","typeLabel":"string | null"},"version":{"oneOf":[{"type":"string","uniqueKey":"current_hardware.oneOf.0.operating_system.oneOf.0.version.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"current_hardware.oneOf.0.operating_system.oneOf.0.version.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.operating_system.oneOf.0.version","typeLabel":"string | null"}},"deprecated":true,"description":"This field is deprecated and will be removed in a future version. Use `node.current_software.operating_system` instead.","uniqueKey":"current_hardware.oneOf.0.operating_system.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"architecture":{"oneOf":[{"type":"string"},{"type":"null"}]},"brand":{"oneOf":[{"type":"string"},{"type":"null"}]},"name":{"oneOf":[{"type":"string"},{"type":"null"}]},"version":{"oneOf":[{"type":"string"},{"type":"null"}]}},"deprecated":true,"description":"This field is deprecated and will be removed in a future version. Use `node.current_software.operating_system` instead.","uniqueKey":"current_hardware.oneOf.0.operating_system.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware.oneOf.0.operating_system","typeLabel":"object | null"},"schema_version":{"type":"number","default":0,"uniqueKey":"current_hardware.oneOf.0.schema_version","typeLabel":"number"}},"required":["memory","storage","object","created_at","updated_at"],"uniqueKey":"current_hardware.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"uuid":{"oneOf":[{"type":"string"},{"type":"null"}]},"node":{"oneOf":[{"type":"string"},{"type":"null"}]},"node_uuid":{"oneOf":[{"type":"string"},{"type":"null"}]},"cpus":{"type":"array","items":{"type":"object","properties":{"architecture":{"oneOf":[{"type":"string"},{"type":"null"}]},"base_clock_mhz":{"oneOf":[{"type":"number"},{"type":"null"}]},"chipset":{"oneOf":[{"type":"string"},{"type":"null"}]},"device_id":{"oneOf":[{"type":"string","description":"Unique identifier for the CPU, if available. For example: `/proc/cpuinfo`"},{"type":"null","description":"Unique identifier for the CPU, if available. For example: `/proc/cpuinfo`"}]},"features":{"type":"array","items":{"type":"string"},"default":[]},"name":{"type":"string"},"num_cores":{"type":"number"},"num_threads_per_core":{"oneOf":[{"type":"number"},{"type":"null"}]}},"required":["name","num_cores"]},"default":[],"description":"List of CPUs available on the machine."},"gpus":{"type":"array","items":{"type":"object","properties":{"base_clock_mhz":{"oneOf":[{"type":"number"},{"type":"null"}]},"device_id":{"oneOf":[{"type":"string","description":"Unique identifier for the GPU, if available. For example: `nvidia-smi` or `/sys/class/drm/card0*`"},{"type":"null","description":"Unique identifier for the GPU, if available. For example: `nvidia-smi` or `/sys/class/drm/card0*`"}]},"gpu_registry_uuid":{"oneOf":[{"type":"string"},{"type":"null"}]},"name":{"type":"string"},"vram_bytes_reported":{"oneOf":[{"type":"number","description":"VRAM bytes as reported by the agent before catalog canonicalization. Null on documents written before this field existed."},{"type":"null","description":"VRAM bytes as reported by the agent before catalog canonicalization. Null on documents written before this field existed."}]},"vram_bytes_total":{"oneOf":[{"type":"number","description":"VRAM capacity in bytes. For a registry-linked GPU whose report lies within 90% to 108% of the catalog capacity this is the catalog value (an RTX 4090 is 24 GiB, not the ~23.6 GiB the driver exposes). Otherwise the agent-reported bytes."},{"type":"null","description":"VRAM capacity in bytes. For a registry-linked GPU whose report lies within 90% to 108% of the catalog capacity this is the catalog value (an RTX 4090 is 24 GiB, not the ~23.6 GiB the driver exposes). Otherwise the agent-reported bytes."}]}},"required":["name","vram_bytes_total"]},"default":[],"description":"List of GPUs available on the machine."},"memory":{"type":"object","properties":{"base_clock_mhz":{"oneOf":[{"type":"number"},{"type":"null"}]},"device_id":{"oneOf":[{"type":"string","description":"Unique identifier for the memory, if available. For example: `dmidecode`"},{"type":"null","description":"Unique identifier for the memory, if available. For example: `dmidecode`"}]},"ram_bytes_total":{"oneOf":[{"type":"number"},{"type":"null"}]}},"required":["ram_bytes_total"],"description":"Memory details of the machine, including RAM and base clock."},"storage":{"type":"object","properties":{"capacity_bytes_free":{"oneOf":[{"type":"number"},{"type":"null"}]},"capacity_bytes_total":{"oneOf":[{"type":"number"},{"type":"null"}]},"device_id":{"oneOf":[{"type":"string","description":"Unique identifier for storage block device, if available. For example: `lsblk -f`"},{"type":"null","description":"Unique identifier for storage block device, if available. For example: `lsblk -f`"}]}},"required":["capacity_bytes_free","capacity_bytes_total"],"description":"Storage details of the machine, including total and free space."},"machine_id":{"oneOf":[{"type":"string","description":"A unique identifier for the machine, if available. For example: `/etc/machine-id` or `/var/lib/dbus/machine-id` on Linux, `MachineGuid` on Windows, `IOPlatformUUID` on macOS."},{"type":"null","description":"A unique identifier for the machine, if available. For example: `/etc/machine-id` or `/var/lib/dbus/machine-id` on Linux, `MachineGuid` on Windows, `IOPlatformUUID` on macOS."}]},"checksum_sha256":{"oneOf":[{"type":"string"},{"type":"null"}]},"_id":{"oneOf":[{"type":"string"},{"type":"null"}]},"operating_system":{"oneOf":[{"type":"object","properties":{"architecture":{"oneOf":[{"type":"string"},{"type":"null"}]},"brand":{"oneOf":[{"type":"string"},{"type":"null"}]},"name":{"oneOf":[{"type":"string"},{"type":"null"}]},"version":{"oneOf":[{"type":"string"},{"type":"null"}]}},"deprecated":true,"description":"This field is deprecated and will be removed in a future version. Use `node.current_software.operating_system` instead."},{"type":"null","properties":{"architecture":{"oneOf":[{"type":"string"},{"type":"null"}]},"brand":{"oneOf":[{"type":"string"},{"type":"null"}]},"name":{"oneOf":[{"type":"string"},{"type":"null"}]},"version":{"oneOf":[{"type":"string"},{"type":"null"}]}},"deprecated":true,"description":"This field is deprecated and will be removed in a future version. Use `node.current_software.operating_system` instead."}]},"schema_version":{"type":"number","default":0},"object":{"type":"string","enum":["node_hardware"]},"created_at":{"oneOf":[{"type":"string","format":"date-time"},{"type":"null","format":"date-time"}]},"updated_at":{"oneOf":[{"type":"string","format":"date-time"},{"type":"null","format":"date-time"}]}},"required":["memory","storage","object","created_at","updated_at"],"uniqueKey":"current_hardware.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_hardware","typeLabel":"object | null"},"current_software":{"oneOf":[{"type":"object","properties":{"object":{"type":"string","enum":["node_software"],"isRequired":true,"uniqueKey":"current_software.oneOf.0.object","typeLabel":"enum\u003cstring>"},"created_at":{"oneOf":[{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"current_software.oneOf.0.created_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","isRequired":true,"uniqueKey":"current_software.oneOf.0.created_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"current_software.oneOf.0.created_at","typeLabel":"string\u003cdate-time> | null"},"updated_at":{"oneOf":[{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"current_software.oneOf.0.updated_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","isRequired":true,"uniqueKey":"current_software.oneOf.0.updated_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"current_software.oneOf.0.updated_at","typeLabel":"string\u003cdate-time> | null"},"uuid":{"oneOf":[{"type":"string","description":"Unique identifier for this software record.","uniqueKey":"current_software.oneOf.0.uuid.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier for this software record.","uniqueKey":"current_software.oneOf.0.uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_software.oneOf.0.uuid","typeLabel":"string | null"},"node":{"oneOf":[{"type":"string","description":"Internal reference to the parent Node document.","uniqueKey":"current_software.oneOf.0.node.oneOf.0","typeLabel":"string"},{"type":"null","description":"Internal reference to the parent Node document.","uniqueKey":"current_software.oneOf.0.node.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_software.oneOf.0.node","typeLabel":"string | null"},"node_uuid":{"oneOf":[{"type":"string","description":"UUID of the node this software belongs to.","uniqueKey":"current_software.oneOf.0.node_uuid.oneOf.0","typeLabel":"string"},{"type":"null","description":"UUID of the node this software belongs to.","uniqueKey":"current_software.oneOf.0.node_uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_software.oneOf.0.node_uuid","typeLabel":"string | null"},"capabilities":{"type":"array","items":{"oneOf":[{"type":"object","description":"A software capability installed on the node. Discriminated by `type`. Each type should appear at most once in the capabilities array.","required":["type","name","version"],"properties":{"type":{"type":"string","enum":["container_runtime"],"isRequired":true,"uniqueKey":"current_software.oneOf.0.capabilities.items.[INDEX].oneOf.0.type","typeLabel":"enum\u003cstring>"},"name":{"type":"string","description":"Container runtime name (normalized to lowercase).","example":"docker","isRequired":true,"uniqueKey":"current_software.oneOf.0.capabilities.items.[INDEX].oneOf.0.name","typeLabel":"string"},"version":{"type":"string","description":"Installed container runtime version (SemVer).","example":"28.3.2","isRequired":true,"uniqueKey":"current_software.oneOf.0.capabilities.items.[INDEX].oneOf.0.version","typeLabel":"string"}},"uniqueKey":"current_software.oneOf.0.capabilities.items.[INDEX].oneOf.0","typeLabel":"object"},{"type":"object","description":"A software capability installed on the node. Discriminated by `type`. Each type should appear at most once in the capabilities array.","required":["type","name","version"],"properties":{"type":{"type":"string","enum":["gpu_driver"],"isRequired":true,"uniqueKey":"current_software.oneOf.0.capabilities.items.[INDEX].oneOf.1.type","typeLabel":"enum\u003cstring>"},"name":{"type":"string","description":"GPU driver vendor (normalized to lowercase).","example":"nvidia","isRequired":true,"uniqueKey":"current_software.oneOf.0.capabilities.items.[INDEX].oneOf.1.name","typeLabel":"string"},"version":{"type":"string","description":"Installed GPU driver version.","example":"535.129.03","isRequired":true,"uniqueKey":"current_software.oneOf.0.capabilities.items.[INDEX].oneOf.1.version","typeLabel":"string"}},"uniqueKey":"current_software.oneOf.0.capabilities.items.[INDEX].oneOf.1","typeLabel":"object"},{"type":"object","description":"A software capability installed on the node. Discriminated by `type`. Each type should appear at most once in the capabilities array.","required":["type","name","version"],"properties":{"type":{"type":"string","enum":["node_client"],"isRequired":true,"uniqueKey":"current_software.oneOf.0.capabilities.items.[INDEX].oneOf.2.type","typeLabel":"enum\u003cstring>"},"name":{"type":"string","description":"Node client software name (normalized to lowercase).","example":"zernet_client","isRequired":true,"uniqueKey":"current_software.oneOf.0.capabilities.items.[INDEX].oneOf.2.name","typeLabel":"string"},"version":{"type":"string","description":"Installed node client version (SemVer). Used for version compliance checks against NetworkNodePolicy requirements.","example":"1.8.0","isRequired":true,"uniqueKey":"current_software.oneOf.0.capabilities.items.[INDEX].oneOf.2.version","typeLabel":"string"}},"uniqueKey":"current_software.oneOf.0.capabilities.items.[INDEX].oneOf.2","typeLabel":"object"},{"type":"object","description":"A software capability installed on the node. Discriminated by `type`. Each type should appear at most once in the capabilities array.","required":["type","name","version"],"properties":{"type":{"type":"string","enum":["operating_system"],"isRequired":true,"uniqueKey":"current_software.oneOf.0.capabilities.items.[INDEX].oneOf.3.type","typeLabel":"enum\u003cstring>"},"name":{"type":"string","description":"OS distribution name (normalized to lowercase).","example":"ubuntu","isRequired":true,"uniqueKey":"current_software.oneOf.0.capabilities.items.[INDEX].oneOf.3.name","typeLabel":"string"},"version":{"type":"string","description":"OS distribution version.","example":"22.04","isRequired":true,"uniqueKey":"current_software.oneOf.0.capabilities.items.[INDEX].oneOf.3.version","typeLabel":"string"},"family":{"type":"string","description":"OS kernel family (normalized to lowercase).","example":"linux","uniqueKey":"current_software.oneOf.0.capabilities.items.[INDEX].oneOf.3.family","typeLabel":"string"},"architecture":{"type":"string","description":"CPU architecture.","example":"x86_64","uniqueKey":"current_software.oneOf.0.capabilities.items.[INDEX].oneOf.3.architecture","typeLabel":"string"}},"uniqueKey":"current_software.oneOf.0.capabilities.items.[INDEX].oneOf.3","typeLabel":"object"}],"uniqueKey":"current_software.oneOf.0.capabilities.items.[INDEX]","typeLabel":"object"},"default":[],"description":"Installed software capabilities reported by the node. Each capability has a uniform `{ type, name, version }` base. At most one entry per `type` + `name` combination.","uniqueKey":"current_software.oneOf.0.capabilities","typeLabel":"object[]"},"cached_image_tags":{"type":"array","items":{"type":"string","uniqueKey":"current_software.oneOf.0.cached_image_tags.items.[INDEX]","typeLabel":"string"},"default":[],"description":"Docker image tags currently cached on the node (e.g. pulled and ready to run). Used by the scheduler to prefer nodes that can start a job without pulling the image first.","example":["ubuntu:22.04","pytorch/pytorch:latest"],"uniqueKey":"current_software.oneOf.0.cached_image_tags","typeLabel":"string[]"},"schema_version":{"type":"number","default":0,"description":"Internal schema version for migration tracking.","uniqueKey":"current_software.oneOf.0.schema_version","typeLabel":"number"},"docker":{"type":"object","properties":{"images":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"current_software.oneOf.0.docker.images.items.[INDEX].name","typeLabel":"string"},"size_bytes":{"oneOf":[{"type":"number","isRequired":true,"uniqueKey":"current_software.oneOf.0.docker.images.items.[INDEX].size_bytes.oneOf.0","typeLabel":"number"},{"type":"null","isRequired":true,"uniqueKey":"current_software.oneOf.0.docker.images.items.[INDEX].size_bytes.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"current_software.oneOf.0.docker.images.items.[INDEX].size_bytes","typeLabel":"number | null"},"tags":{"type":"array","items":{"type":"string","uniqueKey":"current_software.oneOf.0.docker.images.items.[INDEX].tags.items.[INDEX]","typeLabel":"string"},"default":[],"uniqueKey":"current_software.oneOf.0.docker.images.items.[INDEX].tags","typeLabel":"string[]"}},"required":["name","size_bytes"],"uniqueKey":"current_software.oneOf.0.docker.images.items.[INDEX]","typeLabel":"object"},"default":[],"uniqueKey":"current_software.oneOf.0.docker.images","typeLabel":"object[]"},"version":{"oneOf":[{"type":"string","uniqueKey":"current_software.oneOf.0.docker.version.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"current_software.oneOf.0.docker.version.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_software.oneOf.0.docker.version","typeLabel":"string | null"}},"default":{"images":[],"version":null},"deprecated":true,"description":"Deprecated. Use `capabilities` with `type: \"container_runtime\"` instead. Derived from capabilities for backward compatibility.","uniqueKey":"current_software.oneOf.0.docker","typeLabel":"object"},"nvidia_driver":{"type":"object","properties":{"version":{"oneOf":[{"type":"string","uniqueKey":"current_software.oneOf.0.nvidia_driver.version.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"current_software.oneOf.0.nvidia_driver.version.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_software.oneOf.0.nvidia_driver.version","typeLabel":"string | null"}},"default":{"version":null},"deprecated":true,"description":"Deprecated. Use `capabilities` with `type: \"gpu_driver\"` instead. Derived from capabilities for backward compatibility.","uniqueKey":"current_software.oneOf.0.nvidia_driver","typeLabel":"object"},"operating_system":{"type":"object","properties":{"brand":{"type":"string","isRequired":true,"uniqueKey":"current_software.oneOf.0.operating_system.brand","typeLabel":"string"},"name":{"type":"string","isRequired":true,"uniqueKey":"current_software.oneOf.0.operating_system.name","typeLabel":"string"},"version":{"type":"string","isRequired":true,"uniqueKey":"current_software.oneOf.0.operating_system.version","typeLabel":"string"},"architecture":{"oneOf":[{"type":"string","enum":["aarch64","amd64","arm64","armv6l","armv7l","i386","i686","x86_64",null],"uniqueKey":"current_software.oneOf.0.operating_system.architecture.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["aarch64","amd64","arm64","armv6l","armv7l","i386","i686","x86_64",null],"uniqueKey":"current_software.oneOf.0.operating_system.architecture.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_software.oneOf.0.operating_system.architecture","typeLabel":"enum\u003cstring> | null"}},"default":{"architecture":null,"brand":"","name":"","version":""},"required":["brand","name","version"],"deprecated":true,"description":"Deprecated. Use `capabilities` with `type: \"operating_system\"` instead. Derived from capabilities for backward compatibility.","uniqueKey":"current_software.oneOf.0.operating_system","typeLabel":"object"},"zernet_client":{"type":"object","properties":{"version":{"oneOf":[{"type":"string","uniqueKey":"current_software.oneOf.0.zernet_client.version.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"current_software.oneOf.0.zernet_client.version.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_software.oneOf.0.zernet_client.version","typeLabel":"string | null"}},"default":{"version":null},"deprecated":true,"description":"Deprecated. Use `capabilities` with `type: \"node_client\"` instead. Derived from capabilities for backward compatibility.","uniqueKey":"current_software.oneOf.0.zernet_client","typeLabel":"object"}},"required":["object","created_at","updated_at"],"uniqueKey":"current_software.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"uuid":{"oneOf":[{"type":"string","description":"Unique identifier for this software record."},{"type":"null","description":"Unique identifier for this software record."}]},"node":{"oneOf":[{"type":"string","description":"Internal reference to the parent Node document."},{"type":"null","description":"Internal reference to the parent Node document."}]},"node_uuid":{"oneOf":[{"type":"string","description":"UUID of the node this software belongs to."},{"type":"null","description":"UUID of the node this software belongs to."}]},"capabilities":{"type":"array","items":{"oneOf":[{"type":"object","description":"A software capability installed on the node. Discriminated by `type`. Each type should appear at most once in the capabilities array.","required":["type","name","version"],"properties":{"type":{"type":"string","enum":["container_runtime"]},"name":{"type":"string","description":"Container runtime name (normalized to lowercase).","example":"docker"},"version":{"type":"string","description":"Installed container runtime version (SemVer).","example":"28.3.2"}}},{"type":"object","description":"A software capability installed on the node. Discriminated by `type`. Each type should appear at most once in the capabilities array.","required":["type","name","version"],"properties":{"type":{"type":"string","enum":["gpu_driver"]},"name":{"type":"string","description":"GPU driver vendor (normalized to lowercase).","example":"nvidia"},"version":{"type":"string","description":"Installed GPU driver version.","example":"535.129.03"}}},{"type":"object","description":"A software capability installed on the node. Discriminated by `type`. Each type should appear at most once in the capabilities array.","required":["type","name","version"],"properties":{"type":{"type":"string","enum":["node_client"]},"name":{"type":"string","description":"Node client software name (normalized to lowercase).","example":"zernet_client"},"version":{"type":"string","description":"Installed node client version (SemVer). Used for version compliance checks against NetworkNodePolicy requirements.","example":"1.8.0"}}},{"type":"object","description":"A software capability installed on the node. Discriminated by `type`. Each type should appear at most once in the capabilities array.","required":["type","name","version"],"properties":{"type":{"type":"string","enum":["operating_system"]},"name":{"type":"string","description":"OS distribution name (normalized to lowercase).","example":"ubuntu"},"version":{"type":"string","description":"OS distribution version.","example":"22.04"},"family":{"type":"string","description":"OS kernel family (normalized to lowercase).","example":"linux"},"architecture":{"type":"string","description":"CPU architecture.","example":"x86_64"}}}]},"default":[],"description":"Installed software capabilities reported by the node. Each capability has a uniform `{ type, name, version }` base. At most one entry per `type` + `name` combination."},"cached_image_tags":{"type":"array","items":{"type":"string"},"default":[],"description":"Docker image tags currently cached on the node (e.g. pulled and ready to run). Used by the scheduler to prefer nodes that can start a job without pulling the image first.","example":["ubuntu:22.04","pytorch/pytorch:latest"]},"schema_version":{"type":"number","default":0,"description":"Internal schema version for migration tracking."},"object":{"type":"string","enum":["node_software"]},"created_at":{"oneOf":[{"type":"string","format":"date-time"},{"type":"null","format":"date-time"}]},"updated_at":{"oneOf":[{"type":"string","format":"date-time"},{"type":"null","format":"date-time"}]},"docker":{"type":"object","properties":{"images":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"size_bytes":{"oneOf":[{"type":"number"},{"type":"null"}]},"tags":{"type":"array","items":{"type":"string"},"default":[]}},"required":["name","size_bytes"]},"default":[]},"version":{"oneOf":[{"type":"string"},{"type":"null"}]}},"default":{"images":[],"version":null},"deprecated":true,"description":"Deprecated. Use `capabilities` with `type: \"container_runtime\"` instead. Derived from capabilities for backward compatibility."},"nvidia_driver":{"type":"object","properties":{"version":{"oneOf":[{"type":"string"},{"type":"null"}]}},"default":{"version":null},"deprecated":true,"description":"Deprecated. Use `capabilities` with `type: \"gpu_driver\"` instead. Derived from capabilities for backward compatibility."},"operating_system":{"type":"object","properties":{"architecture":{"oneOf":[{"type":"string","enum":["aarch64","amd64","arm64","armv6l","armv7l","i386","i686","x86_64",null]},{"type":"null","enum":["aarch64","amd64","arm64","armv6l","armv7l","i386","i686","x86_64",null]}]},"brand":{"type":"string"},"name":{"type":"string"},"version":{"type":"string"}},"default":{"architecture":null,"brand":"","name":"","version":""},"required":["brand","name","version"],"deprecated":true,"description":"Deprecated. Use `capabilities` with `type: \"operating_system\"` instead. Derived from capabilities for backward compatibility."},"zernet_client":{"type":"object","properties":{"version":{"oneOf":[{"type":"string"},{"type":"null"}]}},"default":{"version":null},"deprecated":true,"description":"Deprecated. Use `capabilities` with `type: \"node_client\"` instead. Derived from capabilities for backward compatibility."}},"required":["object","created_at","updated_at"],"uniqueKey":"current_software.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_software","typeLabel":"object | null"},"ipv4_address":{"oneOf":[{"type":"string","format":"ip","uniqueKey":"ipv4_address.oneOf.0","typeLabel":"string\u003cip>"},{"type":"null","format":"ip","uniqueKey":"ipv4_address.oneOf.1","typeLabel":"null"}],"uniqueKey":"ipv4_address","typeLabel":"string\u003cip> | null"},"ipv6_address":{"oneOf":[{"type":"string","format":"ip","uniqueKey":"ipv6_address.oneOf.0","typeLabel":"string\u003cip>"},{"type":"null","format":"ip","uniqueKey":"ipv6_address.oneOf.1","typeLabel":"null"}],"uniqueKey":"ipv6_address","typeLabel":"string\u003cip> | null"},"mac_address":{"oneOf":[{"type":"string","uniqueKey":"mac_address.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"mac_address.oneOf.1","typeLabel":"null"}],"uniqueKey":"mac_address","typeLabel":"string | null"},"operator_account":{"oneOf":[{"type":"object","required":["email","object","created_at","updated_at"],"properties":{"email":{"type":"string","format":"email","isRequired":true,"uniqueKey":"operator_account.oneOf.0.email","typeLabel":"string\u003cemail>"},"object":{"type":"string","enum":["account"],"isRequired":true,"uniqueKey":"operator_account.oneOf.0.object","typeLabel":"enum\u003cstring>"},"created_at":{"oneOf":[{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"operator_account.oneOf.0.created_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","isRequired":true,"uniqueKey":"operator_account.oneOf.0.created_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"operator_account.oneOf.0.created_at","typeLabel":"string\u003cdate-time> | null"},"updated_at":{"oneOf":[{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"operator_account.oneOf.0.updated_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","isRequired":true,"uniqueKey":"operator_account.oneOf.0.updated_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"operator_account.oneOf.0.updated_at","typeLabel":"string\u003cdate-time> | null"},"uuid":{"oneOf":[{"type":"string","uniqueKey":"operator_account.oneOf.0.uuid.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"operator_account.oneOf.0.uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"operator_account.oneOf.0.uuid","typeLabel":"string | null"},"active_roles":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"operator_account.oneOf.0.active_roles.items.[INDEX].name","typeLabel":"string"},"uuid":{"oneOf":[{"type":"string","uniqueKey":"operator_account.oneOf.0.active_roles.items.[INDEX].uuid.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"operator_account.oneOf.0.active_roles.items.[INDEX].uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"operator_account.oneOf.0.active_roles.items.[INDEX].uuid","typeLabel":"string | null"}},"required":["name"],"uniqueKey":"operator_account.oneOf.0.active_roles.items.[INDEX]","typeLabel":"object"},"uniqueKey":"operator_account.oneOf.0.active_roles","typeLabel":"object[]"},"last_login":{"oneOf":[{"type":"string","format":"date-time","uniqueKey":"operator_account.oneOf.0.last_login.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","uniqueKey":"operator_account.oneOf.0.last_login.oneOf.1","typeLabel":"null"}],"uniqueKey":"operator_account.oneOf.0.last_login","typeLabel":"string\u003cdate-time> | null"},"consumer_profile":{"type":"object","required":["is_active","is_compute_billing_enabled","object","created_at","updated_at"],"properties":{"is_active":{"type":"boolean","isRequired":true,"uniqueKey":"operator_account.oneOf.0.consumer_profile.is_active","typeLabel":"boolean"},"is_compute_billing_enabled":{"type":"boolean","isRequired":true,"uniqueKey":"operator_account.oneOf.0.consumer_profile.is_compute_billing_enabled","typeLabel":"boolean"},"object":{"type":"string","enum":["consumer_profile"],"isRequired":true,"uniqueKey":"operator_account.oneOf.0.consumer_profile.object","typeLabel":"enum\u003cstring>"},"created_at":{"oneOf":[{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"operator_account.oneOf.0.consumer_profile.created_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","isRequired":true,"uniqueKey":"operator_account.oneOf.0.consumer_profile.created_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"operator_account.oneOf.0.consumer_profile.created_at","typeLabel":"string\u003cdate-time> | null"},"updated_at":{"oneOf":[{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"operator_account.oneOf.0.consumer_profile.updated_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","isRequired":true,"uniqueKey":"operator_account.oneOf.0.consumer_profile.updated_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"operator_account.oneOf.0.consumer_profile.updated_at","typeLabel":"string\u003cdate-time> | null"},"uuid":{"oneOf":[{"type":"string","uniqueKey":"operator_account.oneOf.0.consumer_profile.uuid.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"operator_account.oneOf.0.consumer_profile.uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"operator_account.oneOf.0.consumer_profile.uuid","typeLabel":"string | null"},"account_uuid":{"oneOf":[{"type":"string","uniqueKey":"operator_account.oneOf.0.consumer_profile.account_uuid.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"operator_account.oneOf.0.consumer_profile.account_uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"operator_account.oneOf.0.consumer_profile.account_uuid","typeLabel":"string | null"},"render_user_id":{"oneOf":[{"type":"string","uniqueKey":"operator_account.oneOf.0.consumer_profile.render_user_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"operator_account.oneOf.0.consumer_profile.render_user_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"operator_account.oneOf.0.consumer_profile.render_user_id","typeLabel":"string | null"},"allowed_region_codes":{"type":"array","items":{"oneOf":[{"type":"string","enum":["ca-central-1","ca-west-1","mx-central-1","sa-east-1","us-east-1","us-east-2","us-west-1","us-west-2","eu-central-1","eu-central-2","eu-north-1","eu-south-1","eu-south-2","eu-west-1","eu-west-2","eu-west-3","ap-east-1","ap-east-2","ap-northeast-1","ap-northeast-2","ap-northeast-3","ap-south-1","ap-south-2","ap-southeast-1","ap-southeast-2","ap-southeast-3","ap-southeast-4","ap-southeast-5","ap-southeast-6","ap-southeast-7","cn-north-1","cn-northwest-1","af-south-1","il-central-1","me-central-1","me-south-1",null],"default":null,"description":"Coarse geographic-network region identifier (AWS-style naming).","example":"us-west-2","uniqueKey":"operator_account.oneOf.0.consumer_profile.allowed_region_codes.items.[INDEX].oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["ca-central-1","ca-west-1","mx-central-1","sa-east-1","us-east-1","us-east-2","us-west-1","us-west-2","eu-central-1","eu-central-2","eu-north-1","eu-south-1","eu-south-2","eu-west-1","eu-west-2","eu-west-3","ap-east-1","ap-east-2","ap-northeast-1","ap-northeast-2","ap-northeast-3","ap-south-1","ap-south-2","ap-southeast-1","ap-southeast-2","ap-southeast-3","ap-southeast-4","ap-southeast-5","ap-southeast-6","ap-southeast-7","cn-north-1","cn-northwest-1","af-south-1","il-central-1","me-central-1","me-south-1",null],"default":null,"description":"Coarse geographic-network region identifier (AWS-style naming).","example":"us-west-2","uniqueKey":"operator_account.oneOf.0.consumer_profile.allowed_region_codes.items.[INDEX].oneOf.1","typeLabel":"null"}],"uniqueKey":"operator_account.oneOf.0.consumer_profile.allowed_region_codes.items.[INDEX]","typeLabel":"enum\u003cstring> | null"},"default":[],"uniqueKey":"operator_account.oneOf.0.consumer_profile.allowed_region_codes","typeLabel":"(enum\u003cstring> | null)[]"},"deleted_at":{"oneOf":[{"type":"string","format":"date-time","uniqueKey":"operator_account.oneOf.0.consumer_profile.deleted_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","uniqueKey":"operator_account.oneOf.0.consumer_profile.deleted_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"operator_account.oneOf.0.consumer_profile.deleted_at","typeLabel":"string\u003cdate-time> | null"}},"uniqueKey":"operator_account.oneOf.0.consumer_profile","typeLabel":"object"},"operator_profile":{"oneOf":[{"type":"object","properties":{"is_active":{"type":"boolean","isRequired":true,"uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.0.is_active","typeLabel":"boolean"},"object":{"type":"string","enum":["operator_profile"],"isRequired":true,"uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.0.object","typeLabel":"enum\u003cstring>"},"created_at":{"oneOf":[{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.0.created_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","isRequired":true,"uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.0.created_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.0.created_at","typeLabel":"string\u003cdate-time> | null"},"updated_at":{"oneOf":[{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.0.updated_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","isRequired":true,"uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.0.updated_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.0.updated_at","typeLabel":"string\u003cdate-time> | null"},"uuid":{"oneOf":[{"type":"string","uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.0.uuid.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.0.uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.0.uuid","typeLabel":"string | null"},"account_uuid":{"oneOf":[{"type":"string","uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.0.account_uuid.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.0.account_uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.0.account_uuid","typeLabel":"string | null"},"wallet_address":{"oneOf":[{"type":"string","uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.0.wallet_address.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.0.wallet_address.oneOf.1","typeLabel":"null"}],"uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.0.wallet_address","typeLabel":"string | null"},"deleted_at":{"oneOf":[{"type":"string","format":"date-time","uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.0.deleted_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.0.deleted_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.0.deleted_at","typeLabel":"string\u003cdate-time> | null"}},"required":["is_active","object","created_at","updated_at"],"uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"uuid":{"oneOf":[{"type":"string"},{"type":"null"}]},"account_uuid":{"oneOf":[{"type":"string"},{"type":"null"}]},"is_active":{"type":"boolean"},"wallet_address":{"oneOf":[{"type":"string"},{"type":"null"}]},"object":{"type":"string","enum":["operator_profile"]},"created_at":{"oneOf":[{"type":"string","format":"date-time"},{"type":"null","format":"date-time"}]},"updated_at":{"oneOf":[{"type":"string","format":"date-time"},{"type":"null","format":"date-time"}]},"deleted_at":{"oneOf":[{"type":"string","format":"date-time"},{"type":"null","format":"date-time"}]}},"required":["is_active","object","created_at","updated_at"],"uniqueKey":"operator_account.oneOf.0.operator_profile.oneOf.1","typeLabel":"null"}],"uniqueKey":"operator_account.oneOf.0.operator_profile","typeLabel":"object | null"},"user_profile":{"oneOf":[{"type":"object","properties":{"email_verified":{"type":"boolean","isRequired":true,"uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.email_verified","typeLabel":"boolean"},"object":{"type":"string","enum":["user_profile"],"isRequired":true,"uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.object","typeLabel":"enum\u003cstring>"},"created_at":{"oneOf":[{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.created_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","isRequired":true,"uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.created_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.created_at","typeLabel":"string\u003cdate-time> | null"},"updated_at":{"oneOf":[{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.updated_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","isRequired":true,"uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.updated_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.updated_at","typeLabel":"string\u003cdate-time> | null"},"uuid":{"oneOf":[{"type":"string","uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.uuid.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.uuid","typeLabel":"string | null"},"account_uuid":{"oneOf":[{"type":"string","uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.account_uuid.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.account_uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.account_uuid","typeLabel":"string | null"},"name":{"type":"string","uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.name","typeLabel":"string"},"given_name":{"type":"string","uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.given_name","typeLabel":"string"},"family_name":{"type":"string","uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.family_name","typeLabel":"string"},"middle_name":{"type":"string","uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.middle_name","typeLabel":"string"},"preferred_username":{"type":"string","uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.preferred_username","typeLabel":"string"},"oauth_provider":{"oneOf":[{"type":"string","uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.oauth_provider.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.oauth_provider.oneOf.1","typeLabel":"null"}],"uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.oauth_provider","typeLabel":"string | null"},"oauth_subject":{"oneOf":[{"type":"string","uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.oauth_subject.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.oauth_subject.oneOf.1","typeLabel":"null"}],"uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0.oauth_subject","typeLabel":"string | null"}},"required":["email_verified","object","created_at","updated_at"],"uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"uuid":{"oneOf":[{"type":"string"},{"type":"null"}]},"account_uuid":{"oneOf":[{"type":"string"},{"type":"null"}]},"name":{"type":"string"},"given_name":{"type":"string"},"family_name":{"type":"string"},"middle_name":{"type":"string"},"preferred_username":{"type":"string"},"email_verified":{"type":"boolean"},"oauth_provider":{"oneOf":[{"type":"string"},{"type":"null"}]},"oauth_subject":{"oneOf":[{"type":"string"},{"type":"null"}]},"object":{"type":"string","enum":["user_profile"]},"created_at":{"oneOf":[{"type":"string","format":"date-time"},{"type":"null","format":"date-time"}]},"updated_at":{"oneOf":[{"type":"string","format":"date-time"},{"type":"null","format":"date-time"}]}},"required":["email_verified","object","created_at","updated_at"],"uniqueKey":"operator_account.oneOf.0.user_profile.oneOf.1","typeLabel":"null"}],"uniqueKey":"operator_account.oneOf.0.user_profile","typeLabel":"object | null"},"deleted_at":{"oneOf":[{"type":"string","format":"date-time","uniqueKey":"operator_account.oneOf.0.deleted_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","uniqueKey":"operator_account.oneOf.0.deleted_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"operator_account.oneOf.0.deleted_at","typeLabel":"string\u003cdate-time> | null"}},"uniqueKey":"operator_account.oneOf.0","typeLabel":"object"},{"type":"string","uniqueKey":"operator_account.oneOf.1","typeLabel":"string"},{"type":"null","uniqueKey":"operator_account.oneOf.2","typeLabel":"null"},{"type":"null","uniqueKey":"operator_account.oneOf.3","typeLabel":"null"}],"uniqueKey":"operator_account","typeLabel":"object · string · null · null"},"operator_account_uuid":{"oneOf":[{"type":"string","uniqueKey":"operator_account_uuid.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"operator_account_uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"operator_account_uuid","typeLabel":"string | null"},"reputation":{"type":"number","minimum":0,"maximum":100,"default":0,"uniqueKey":"reputation","typeLabel":"number"},"suspended_at":{"oneOf":[{"type":"string","format":"date-time","uniqueKey":"suspended_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","uniqueKey":"suspended_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"suspended_at","typeLabel":"string\u003cdate-time> | null"},"current_suspension":{"oneOf":[{"type":"object","properties":{"started_at":{"oneOf":[{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"current_suspension.oneOf.0.started_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","isRequired":true,"uniqueKey":"current_suspension.oneOf.0.started_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"current_suspension.oneOf.0.started_at","typeLabel":"string\u003cdate-time> | null"},"reason_code":{"type":"string","enum":["ABUSE","MISCONFIGURATION","OTHER","POLICY_VIOLATION","REPEATED_FAILURES"],"isRequired":true,"uniqueKey":"current_suspension.oneOf.0.reason_code","typeLabel":"enum\u003cstring>"},"reason":{"type":"string","isRequired":true,"uniqueKey":"current_suspension.oneOf.0.reason","typeLabel":"string"},"follow_up":{"type":"string","isRequired":true,"uniqueKey":"current_suspension.oneOf.0.follow_up","typeLabel":"string"},"object":{"type":"string","enum":["node_suspension"],"isRequired":true,"uniqueKey":"current_suspension.oneOf.0.object","typeLabel":"enum\u003cstring>"},"created_at":{"oneOf":[{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"current_suspension.oneOf.0.created_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","isRequired":true,"uniqueKey":"current_suspension.oneOf.0.created_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"current_suspension.oneOf.0.created_at","typeLabel":"string\u003cdate-time> | null"},"updated_at":{"oneOf":[{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"current_suspension.oneOf.0.updated_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","isRequired":true,"uniqueKey":"current_suspension.oneOf.0.updated_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"current_suspension.oneOf.0.updated_at","typeLabel":"string\u003cdate-time> | null"},"uuid":{"oneOf":[{"type":"string","uniqueKey":"current_suspension.oneOf.0.uuid.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"current_suspension.oneOf.0.uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_suspension.oneOf.0.uuid","typeLabel":"string | null"},"node_uuid":{"oneOf":[{"type":"string","uniqueKey":"current_suspension.oneOf.0.node_uuid.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"current_suspension.oneOf.0.node_uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_suspension.oneOf.0.node_uuid","typeLabel":"string | null"},"ended_at":{"oneOf":[{"type":"string","format":"date-time","uniqueKey":"current_suspension.oneOf.0.ended_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","uniqueKey":"current_suspension.oneOf.0.ended_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_suspension.oneOf.0.ended_at","typeLabel":"string\u003cdate-time> | null"}},"required":["started_at","reason_code","reason","follow_up","object","created_at","updated_at"],"uniqueKey":"current_suspension.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"uuid":{"oneOf":[{"type":"string"},{"type":"null"}]},"node_uuid":{"oneOf":[{"type":"string"},{"type":"null"}]},"started_at":{"oneOf":[{"type":"string","format":"date-time"},{"type":"null","format":"date-time"}]},"ended_at":{"oneOf":[{"type":"string","format":"date-time"},{"type":"null","format":"date-time"}]},"reason_code":{"type":"string","enum":["ABUSE","MISCONFIGURATION","OTHER","POLICY_VIOLATION","REPEATED_FAILURES"]},"reason":{"type":"string"},"follow_up":{"type":"string"},"object":{"type":"string","enum":["node_suspension"]},"created_at":{"oneOf":[{"type":"string","format":"date-time"},{"type":"null","format":"date-time"}]},"updated_at":{"oneOf":[{"type":"string","format":"date-time"},{"type":"null","format":"date-time"}]}},"required":["started_at","reason_code","reason","follow_up","object","created_at","updated_at"],"uniqueKey":"current_suspension.oneOf.1","typeLabel":"null"}],"uniqueKey":"current_suspension","typeLabel":"object | null"},"deleted_at":{"oneOf":[{"type":"string","format":"date-time","uniqueKey":"deleted_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","uniqueKey":"deleted_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"deleted_at","typeLabel":"string\u003cdate-time> | null"},"cpus":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"cpus.items.[INDEX].name","typeLabel":"string"},"num_cores":{"type":"number","isRequired":true,"uniqueKey":"cpus.items.[INDEX].num_cores","typeLabel":"number"}},"required":["name","num_cores"],"uniqueKey":"cpus.items.[INDEX]","typeLabel":"object"},"default":[],"deprecated":true,"description":"**DEPRECATED:** This field is deprecated and will be removed in a future version. Use `current_hardware` instead.","uniqueKey":"cpus","typeLabel":"object[]"},"gpus":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"gpus.items.[INDEX].name","typeLabel":"string"},"vram_gb_available":{"type":"number","isRequired":true,"uniqueKey":"gpus.items.[INDEX].vram_gb_available","typeLabel":"number"},"vram_gb_max":{"type":"number","isRequired":true,"uniqueKey":"gpus.items.[INDEX].vram_gb_max","typeLabel":"number"}},"required":["name","vram_gb_available","vram_gb_max"],"uniqueKey":"gpus.items.[INDEX]","typeLabel":"object"},"default":[],"deprecated":true,"description":"**DEPRECATED:** This field is deprecated and will be removed in a future version. Use `current_hardware` instead.","uniqueKey":"gpus","typeLabel":"object[]"},"hard_drives":{"type":"array","items":{"type":"object","properties":{"available_capacity_gb":{"type":"number","isRequired":true,"uniqueKey":"hard_drives.items.[INDEX].available_capacity_gb","typeLabel":"number"},"max_capacity_gb":{"type":"number","isRequired":true,"uniqueKey":"hard_drives.items.[INDEX].max_capacity_gb","typeLabel":"number"},"name":{"type":"string","isRequired":true,"uniqueKey":"hard_drives.items.[INDEX].name","typeLabel":"string"}},"required":["available_capacity_gb","max_capacity_gb","name"],"uniqueKey":"hard_drives.items.[INDEX]","typeLabel":"object"},"default":[],"deprecated":true,"description":"**DEPRECATED:** This field is deprecated and will be removed in a future version. Use `current_hardware` instead.","uniqueKey":"hard_drives","typeLabel":"object[]"},"operating_system":{"oneOf":[{"type":"object","properties":{"brand":{"oneOf":[{"type":"string","uniqueKey":"operating_system.oneOf.0.brand.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"operating_system.oneOf.0.brand.oneOf.1","typeLabel":"null"}],"uniqueKey":"operating_system.oneOf.0.brand","typeLabel":"string | null"},"name":{"oneOf":[{"type":"string","uniqueKey":"operating_system.oneOf.0.name.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"operating_system.oneOf.0.name.oneOf.1","typeLabel":"null"}],"uniqueKey":"operating_system.oneOf.0.name","typeLabel":"string | null"},"version":{"oneOf":[{"type":"string","uniqueKey":"operating_system.oneOf.0.version.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"operating_system.oneOf.0.version.oneOf.1","typeLabel":"null"}],"uniqueKey":"operating_system.oneOf.0.version","typeLabel":"string | null"}},"deprecated":true,"description":"**DEPRECATED:** This field is deprecated and will be removed in a future version. Use `current_software` instead.","uniqueKey":"operating_system.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"brand":{"oneOf":[{"type":"string"},{"type":"null"}]},"name":{"oneOf":[{"type":"string"},{"type":"null"}]},"version":{"oneOf":[{"type":"string"},{"type":"null"}]}},"deprecated":true,"description":"**DEPRECATED:** This field is deprecated and will be removed in a future version. Use `current_software` instead.","uniqueKey":"operating_system.oneOf.1","typeLabel":"null"}],"uniqueKey":"operating_system","typeLabel":"object | null"},"rams":{"type":"array","items":{"type":"object","properties":{"memory_gb_available":{"type":"number","isRequired":true,"uniqueKey":"rams.items.[INDEX].memory_gb_available","typeLabel":"number"},"memory_gb_max":{"type":"number","isRequired":true,"uniqueKey":"rams.items.[INDEX].memory_gb_max","typeLabel":"number"}},"required":["memory_gb_available","memory_gb_max"],"uniqueKey":"rams.items.[INDEX]","typeLabel":"object"},"default":[],"deprecated":true,"description":"**DEPRECATED:** This field is deprecated and will be removed in a future version. Use `current_hardware` instead.","uniqueKey":"rams","typeLabel":"object[]"},"ramTotal":{"type":"number","default":0,"deprecated":true,"description":"**DEPRECATED:** This field is deprecated and will be removed in a future version. Use `current_hardware` instead.","uniqueKey":"ramTotal","typeLabel":"number"}},"required":["name","status","object","created_at","updated_at"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"name":"\u003cstring>","status":"AVAILABLE","object":"node","created_at":"2023-11-07T05:31:56Z","updated_at":"2023-11-07T05:31:56Z","_id":"\u003cstring>","uuid":"\u003cstring>","last_seen_at":"2023-11-07T05:31:56Z","latest_hardware_event":{"timestamp_ms":123,"object":"node_hardware_event","created_at":"2023-11-07T05:31:56Z","updated_at":"2023-11-07T05:31:56Z","uuid":"\u003cstring>","metadata":{"cpu":{"average":123,"cores":[123]},"gpu":{"gpus":[{"load":123,"name":"\u003cstring>","vram":{"free":123,"total":123}}],"average":123},"ram":{"free":123,"total":123},"storage":{"hard_drives":[{"free_capacity":123,"model":"\u003cstring>","name":"\u003cstring>","total_capacity":123}]}},"node":"\u003cstring>","node_hardware":"\u003cstring>","account":"\u003cstring>"},"current_hardware":{"memory":{"ram_bytes_total":123,"base_clock_mhz":123,"device_id":"\u003cstring>"},"storage":{"capacity_bytes_free":123,"capacity_bytes_total":123,"device_id":"\u003cstring>"},"object":"node_hardware","created_at":"2023-11-07T05:31:56Z","updated_at":"2023-11-07T05:31:56Z","uuid":"\u003cstring>","node":"\u003cstring>","node_uuid":"\u003cstring>","cpus":[],"gpus":[],"machine_id":"\u003cstring>","checksum_sha256":"\u003cstring>","_id":"\u003cstring>","operating_system":{"architecture":"\u003cstring>","brand":"\u003cstring>","name":"\u003cstring>","version":"\u003cstring>"},"schema_version":0},"current_software":{"object":"node_software","created_at":"2023-11-07T05:31:56Z","updated_at":"2023-11-07T05:31:56Z","uuid":"\u003cstring>","node":"\u003cstring>","node_uuid":"\u003cstring>","capabilities":[],"cached_image_tags":["ubuntu:22.04","pytorch/pytorch:latest"],"schema_version":0,"docker":{"images":[],"version":null},"nvidia_driver":{"version":null},"operating_system":{"architecture":null,"brand":"","name":"","version":""},"zernet_client":{"version":null}},"ipv4_address":"\u003cstring>","ipv6_address":"\u003cstring>","mac_address":"\u003cstring>","operator_account":{"email":"jsmith@example.com","object":"account","created_at":"2023-11-07T05:31:56Z","updated_at":"2023-11-07T05:31:56Z","uuid":"\u003cstring>","active_roles":[{"name":"\u003cstring>","uuid":"\u003cstring>"}],"last_login":"2023-11-07T05:31:56Z","consumer_profile":{"is_active":true,"is_compute_billing_enabled":true,"object":"consumer_profile","created_at":"2023-11-07T05:31:56Z","updated_at":"2023-11-07T05:31:56Z","uuid":"\u003cstring>","account_uuid":"\u003cstring>","render_user_id":"\u003cstring>","allowed_region_codes":[],"deleted_at":"2023-11-07T05:31:56Z"},"operator_profile":{"is_active":true,"object":"operator_profile","created_at":"2023-11-07T05:31:56Z","updated_at":"2023-11-07T05:31:56Z","uuid":"\u003cstring>","account_uuid":"\u003cstring>","wallet_address":"\u003cstring>","deleted_at":"2023-11-07T05:31:56Z"},"user_profile":{"email_verified":true,"object":"user_profile","created_at":"2023-11-07T05:31:56Z","updated_at":"2023-11-07T05:31:56Z","uuid":"\u003cstring>","account_uuid":"\u003cstring>","name":"\u003cstring>","given_name":"\u003cstring>","family_name":"\u003cstring>","middle_name":"\u003cstring>","preferred_username":"\u003cstring>","oauth_provider":"\u003cstring>","oauth_subject":"\u003cstring>"},"deleted_at":"2023-11-07T05:31:56Z"},"operator_account_uuid":"\u003cstring>","reputation":0,"suspended_at":"2023-11-07T05:31:56Z","current_suspension":{"started_at":"2023-11-07T05:31:56Z","reason_code":"ABUSE","reason":"\u003cstring>","follow_up":"\u003cstring>","object":"node_suspension","created_at":"2023-11-07T05:31:56Z","updated_at":"2023-11-07T05:31:56Z","uuid":"\u003cstring>","node_uuid":"\u003cstring>","ended_at":"2023-11-07T05:31:56Z"},"deleted_at":"2023-11-07T05:31:56Z","cpus":[],"gpus":[],"hard_drives":[],"operating_system":{"brand":"\u003cstring>","name":"\u003cstring>","version":"\u003cstring>"},"rams":[],"ramTotal":0}}},"exampleType":"generated"}},"exampleType":"generated"},"a0ddc992-5fab-412e-9880-2addc09b88c6":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"status":{"type":"number","isRequired":true,"uniqueKey":"error.status","typeLabel":"number"},"timestamp":{"type":"string","isRequired":true,"uniqueKey":"error.timestamp","typeLabel":"string"},"details":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"error.details.items.[INDEX].message","typeLabel":"string"},"path":{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"error.details.items.[INDEX].path.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"error.details.items.[INDEX].path.items.[INDEX].oneOf.1","typeLabel":"number"}],"uniqueKey":"error.details.items.[INDEX].path.items.[INDEX]","typeLabel":"string | number"},"isRequired":true,"uniqueKey":"error.details.items.[INDEX].path","typeLabel":"(string | number)[]"},"code":{"type":"string","uniqueKey":"error.details.items.[INDEX].code","typeLabel":"string"},"expected":{"type":"string","uniqueKey":"error.details.items.[INDEX].expected","typeLabel":"string"},"input":{"type":"string","uniqueKey":"error.details.items.[INDEX].input","typeLabel":"string"},"keys":{"type":"array","items":{"type":"string","uniqueKey":"error.details.items.[INDEX].keys.items.[INDEX]","typeLabel":"string"},"uniqueKey":"error.details.items.[INDEX].keys","typeLabel":"string[]"}},"required":["message","path"],"uniqueKey":"error.details.items.[INDEX]","typeLabel":"object"},"default":[],"uniqueKey":"error.details","typeLabel":"object[]"}},"required":["code","message","status","timestamp"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":"\u003cstring>","message":"\u003cstring>","status":123,"timestamp":"\u003cstring>","details":[]}}}},"exampleType":"generated"}},"exampleType":"generated"},"4320748c-d1ca-4c1d-adb2-174fd26c75ce":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"status":{"type":"number","isRequired":true,"uniqueKey":"error.status","typeLabel":"number"},"timestamp":{"type":"string","isRequired":true,"uniqueKey":"error.timestamp","typeLabel":"string"},"details":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"error.details.items.[INDEX].message","typeLabel":"string"},"path":{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"error.details.items.[INDEX].path.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"error.details.items.[INDEX].path.items.[INDEX].oneOf.1","typeLabel":"number"}],"uniqueKey":"error.details.items.[INDEX].path.items.[INDEX]","typeLabel":"string | number"},"isRequired":true,"uniqueKey":"error.details.items.[INDEX].path","typeLabel":"(string | number)[]"},"code":{"type":"string","uniqueKey":"error.details.items.[INDEX].code","typeLabel":"string"},"expected":{"type":"string","uniqueKey":"error.details.items.[INDEX].expected","typeLabel":"string"},"input":{"type":"string","uniqueKey":"error.details.items.[INDEX].input","typeLabel":"string"},"keys":{"type":"array","items":{"type":"string","uniqueKey":"error.details.items.[INDEX].keys.items.[INDEX]","typeLabel":"string"},"uniqueKey":"error.details.items.[INDEX].keys","typeLabel":"string[]"}},"required":["message","path"],"uniqueKey":"error.details.items.[INDEX]","typeLabel":"object"},"default":[],"uniqueKey":"error.details","typeLabel":"object[]"}},"required":["code","message","status","timestamp"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":"\u003cstring>","message":"\u003cstring>","status":123,"timestamp":"\u003cstring>","details":[]}}}},"exampleType":"generated"}},"exampleType":"generated"},"ed882047-ae78-4c1e-8394-cec637f705f0":{"description":"Forbidden","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"status":{"type":"number","isRequired":true,"uniqueKey":"error.status","typeLabel":"number"},"timestamp":{"type":"string","isRequired":true,"uniqueKey":"error.timestamp","typeLabel":"string"},"details":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"error.details.items.[INDEX].message","typeLabel":"string"},"path":{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"error.details.items.[INDEX].path.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"error.details.items.[INDEX].path.items.[INDEX].oneOf.1","typeLabel":"number"}],"uniqueKey":"error.details.items.[INDEX].path.items.[INDEX]","typeLabel":"string | number"},"isRequired":true,"uniqueKey":"error.details.items.[INDEX].path","typeLabel":"(string | number)[]"},"code":{"type":"string","uniqueKey":"error.details.items.[INDEX].code","typeLabel":"string"},"expected":{"type":"string","uniqueKey":"error.details.items.[INDEX].expected","typeLabel":"string"},"input":{"type":"string","uniqueKey":"error.details.items.[INDEX].input","typeLabel":"string"},"keys":{"type":"array","items":{"type":"string","uniqueKey":"error.details.items.[INDEX].keys.items.[INDEX]","typeLabel":"string"},"uniqueKey":"error.details.items.[INDEX].keys","typeLabel":"string[]"}},"required":["message","path"],"uniqueKey":"error.details.items.[INDEX]","typeLabel":"object"},"default":[],"uniqueKey":"error.details","typeLabel":"object[]"}},"required":["code","message","status","timestamp"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":"\u003cstring>","message":"\u003cstring>","status":123,"timestamp":"\u003cstring>","details":[]}}}},"exampleType":"generated"}},"exampleType":"generated"},"2a7c6f9b-8c14-455d-b295-1875a28e7e46":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","isRequired":true,"uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"status":{"type":"number","isRequired":true,"uniqueKey":"error.status","typeLabel":"number"},"timestamp":{"type":"string","isRequired":true,"uniqueKey":"error.timestamp","typeLabel":"string"},"details":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"error.details.items.[INDEX].message","typeLabel":"string"},"path":{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"error.details.items.[INDEX].path.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"error.details.items.[INDEX].path.items.[INDEX].oneOf.1","typeLabel":"number"}],"uniqueKey":"error.details.items.[INDEX].path.items.[INDEX]","typeLabel":"string | number"},"isRequired":true,"uniqueKey":"error.details.items.[INDEX].path","typeLabel":"(string | number)[]"},"code":{"type":"string","uniqueKey":"error.details.items.[INDEX].code","typeLabel":"string"},"expected":{"type":"string","uniqueKey":"error.details.items.[INDEX].expected","typeLabel":"string"},"input":{"type":"string","uniqueKey":"error.details.items.[INDEX].input","typeLabel":"string"},"keys":{"type":"array","items":{"type":"string","uniqueKey":"error.details.items.[INDEX].keys.items.[INDEX]","typeLabel":"string"},"uniqueKey":"error.details.items.[INDEX].keys","typeLabel":"string[]"}},"required":["message","path"],"uniqueKey":"error.details.items.[INDEX]","typeLabel":"object"},"default":[],"uniqueKey":"error.details","typeLabel":"object[]"}},"required":["code","message","status","timestamp"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":"\u003cstring>","message":"\u003cstring>","status":123,"timestamp":"\u003cstring>","details":[]}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{},"servers":{"b4363356-9ffc-46a2-a304-ca2ee75f6c00":{"url":"https://api.dispersed.com"}}},"originalFileLocation":"https://api.dispersed.com/openapi.json"},"subdomain":"otoyinc","siteName":"Dispersed","title":"Node Details - Dispersed","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-11T01:33:38.352Z","originalFileLocation":"api-reference/nodes/node-details.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Dispersed\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/otoyinc/NzGCeRMuwVn67RAK/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/otoyinc/NzGCeRMuwVn67RAK/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/otoyinc/NzGCeRMuwVn67RAK/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/otoyinc/NzGCeRMuwVn67RAK/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/otoyinc/NzGCeRMuwVn67RAK/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/otoyinc/NzGCeRMuwVn67RAK/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/otoyinc/NzGCeRMuwVn67RAK/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/otoyinc/NzGCeRMuwVn67RAK/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/otoyinc/NzGCeRMuwVn67RAK/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Node Details - Dispersed\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Dispersed\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://otoyinc.mintlify.app/api-reference/nodes/node-details\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://otoyinc.mintlify.site/_mintlify/api/og/v2?division=Nodes\u0026amp;title=Node+Details\u0026amp;theme=bb92a81bfe621150f710b4bf\u0026amp;signature=b88c362a5e171e9a0d4c56cafb24a10f547f593416b1757da80b126c61d4caf2\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Node Details - Dispersed\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://otoyinc.mintlify.site/_mintlify/api/og/v2?division=Nodes\u0026amp;title=Node+Details\u0026amp;theme=bb92a81bfe621150f710b4bf\u0026amp;signature=b88c362a5e171e9a0d4c56cafb24a10f547f593416b1757da80b126c61d4caf2\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-hea
[...]
